Bug 32847 - Picker text is cleared after selecting an item, whether Picker, DatePicker, or TimePicker
Summary: Picker text is cleared after selecting an item, whether Picker, DatePicker, o...
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Windows (show other bugs)
Version: 2.0.0
Hardware: PC Windows
: Normal normal
Target Milestone: ---
Assignee: E.Z. Hart [MSFT]
URL:
Depends on:
Blocks:
 
Reported: 2015-08-06 22:21 UTC by Jon Goldberger [MSFT]
Modified: 2016-01-29 17:17 UTC (History)
10 users (show)

See Also:
Tags: ac windows
Is this bug a regression?: ---
Last known good build:


Attachments
test Project (788.99 KB, application/zip)
2015-08-06 22:21 UTC, Jon Goldberger [MSFT]
Details
Source file that demonstrates the problem inside a ListView (3.31 KB, text/plain)
2016-01-18 11:57 UTC, John Hardman
Details

Description Jon Goldberger [MSFT] 2015-08-06 22:21:05 UTC
Created attachment 12401 [details]
test Project

## Description

On Windows 8.1, selecting a value for a Picker does set the value, but the displayed value is cleared so the selected time is not displayed. 

## Steps to reproduce

1. Open the attached test project join Visual Studio

2. Set the Windows 8.1 app as the startup app and launch to the simulator.

3. With gestures, open the master page.

4. Click in FIELDS PAGE item.

5. You can see the FIELDS PAGE with a tableview and custom cells.

Expected result: change values on a Picker, DatePicker and TimePicker controls and see the new selected values in the form.

Actual result: when you change a value on a Picker, DatePicker or TimePicker controls, the values are cleaned in the form, but when you click on GET DATA button you can see the form values in the display alerts.


## My environment

Using Forms 1.4.4

Microsoft Visual Studio Ultimate 2013
Version 12.0.31101.00 Update 4
Microsoft .NET Framework
Version 4.6.00057

Installed Version: Ultimate

Architecture and Modeling Tools   06181-004-0451031-02209
Microsoft Architecture and Modeling Tools
    
UML® and Unified Modeling Language™ are trademarks or registered trademarks of the Object Management Group, Inc. in the United States and other countries.

LightSwitch for Visual Studio 2013   06181-004-0451031-02209
Microsoft LightSwitch for Visual Studio 2013

Team Explorer for Visual Studio 2013   06181-004-0451031-02209
Microsoft Team Explorer for Visual Studio 2013

Visual Basic 2013   06181-004-0451031-02209
Microsoft Visual Basic 2013

Visual C# 2013   06181-004-0451031-02209
Microsoft Visual C# 2013

Visual C++ 2013   06181-004-0451031-02209
Microsoft Visual C++ 2013

Visual F# 2013   06181-004-0451031-02209
Microsoft Visual F# 2013

Visual Studio 2013 Code Analysis Spell Checker   06181-004-0451031-02209
Microsoft® Visual Studio® 2013 Code Analysis Spell Checker

Portions of International CorrectSpell™ spelling correction system © 1993 by Lernout & Hauspie Speech Products N.V. All rights reserved.

The American Heritage® Dictionary of the English Language, Third Edition Copyright © 1992 Houghton Mifflin Company. Electronic version licensed from Lernout & Hauspie Speech Products N.V. All rights reserved.

Windows Phone SDK 8.0 - ENU   06181-004-0451031-02209
Windows Phone SDK 8.0 - ENU

Application Insights Tools for Visual Studio Package   1.0
Application Insights Tools for Visual Studio

ASP.NET and Web Tools   12.4.60425.0
Microsoft Web Developer Tools contains the following components:
Support for creating and opening ASP.NET web projects
Browser Link: A communication channel between Visual Studio and browsers
Editor extensions for HTML, CSS, and JavaScript
Page Inspector: Inspection tool for ASP.NET web projects
Scaffolding: A framework for building and running code generators
Server Explorer extensions for Microsoft Azure Web Apps
Web publishing: Extensions for publishing ASP.NET web projects to hosting providers, on-premises servers, or Microsoft Azure

ASP.NET Web Frameworks and Tools 2012.2   4.1.21001.0
For additional information, visit http://go.microsoft.com/fwlink/?LinkID=309563

ASP.NET Web Frameworks and Tools 2013   5.2.21010.0
For additional information, visit http://www.asp.net/

Common Azure Tools   1.4
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

Microsoft Advertising SDK for Windows Phone   
Microsoft Advertising SDK for Windows Phone
Build 

Microsoft Azure HDInsight HQL Service   2.0.1000.0
Language service for Hive query

Microsoft Azure HDInsight Tools for Visual Studio   2.0.1000.0
An integrated development environment for HDInsight application development.

Microsoft Azure Mobile Services Tools   1.3
Microsoft Azure Mobile Services Tools

Microsoft Azure Tools   2.6
Microsoft Azure Tools for Microsoft Visual Studio 2013 - v2.6.30508.1601

Microsoft Azure Tools   2.4
Microsoft Azure Tools for Microsoft Visual Studio 2013 - v2.4.20730.1601

Microsoft Azure Tools   2.5
Microsoft Azure Tools for Microsoft Visual Studio 2013 - v2.5.30319.1603

Multilingual App Toolkit   3.1.1250.0
Multilingual App Toolkit helps you localize your Windows Store app by providing file management, pseudo and machine translation, translation editor, and build integration. http://go.microsoft.com/fwlink?linkid=245767

NuGet Package Manager   2.8.60318.734
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

Office Developer Tools for Visual Studio 2013 ENU   12.0.31105
Microsoft Office Developer Tools for Visual Studio 2013 ENU

PreEmptive Analytics Visualizer   1.2
Microsoft Visual Studio extension to visualize aggregated summaries from the PreEmptive Analytics product.

SQL Server Data Tools   12.0.41025.0
Microsoft SQL Server Data Tools

Windows Azure Tools   2.3
Windows Azure Tools for Microsoft Visual Studio 2013 - v2.3.20320.1602

Windows Phone 8.1 SDK Integration   1.0
This package integrates the tools for the Windows Phone 8.1 SDK into the menus and controls of Visual Studio.

Workflow Manager Tools 1.0   1.0
This package contains the necessary Visual Studio integration components for Workflow Manager.

Xamarin   3.11.666.0 (ebae43a)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   5.1.4.16 (5f55a9ef61c11b6ce0890bc91e4c71b1b92be214)
Visual Studio plugin to enable development for Xamarin.Android.

Xamarin.Forms Intellisense   1.0
Provides intellisense for Xamarin.Forms in the XML editor.

Xamarin.iOS   8.10.2.0 (67b390d0d1bd741582cf7b7fd3ffea08583a3f83)
Visual Studio extension to enable development for Xamarin.iOS.

Xamarin.iOS Unified Migration   1.0
Automated migration for Xamarin iOS Classic projects to Unified

Xamarin.TestCloud.Integration   1.0
Early preview of Xamarin Test Cloud integration
Comment 1 Fernando Rodriguez 2016-01-07 18:48:29 UTC
I am also encountering this bug with Xamarin Forms 2.0.0.6490.  What I've noticed is that the problem manifests when the picker is located inside a TableView - outside of that the picker behaves as expected.
Comment 2 E.Z. Hart [MSFT] 2016-01-11 15:08:38 UTC
Should be fixed in 2.0.2-pre1
Comment 3 mgollubske 2016-01-11 16:30:34 UTC
When will 2.0.2-pre1 be available for download?
Comment 4 John Hardman 2016-01-18 11:57:35 UTC
Created attachment 14616 [details]
Source file that demonstrates the problem inside a ListView

The attached source code reproduces this problem when the Picker is within a View inside a ListView.

Will the fix for tables also fix the same issue for ListView ?
Comment 5 E.Z. Hart [MSFT] 2016-01-18 19:23:36 UTC
The fix addresses both ListView and TableView.
Comment 6 Rui Marinho 2016-01-20 11:57:44 UTC
Correction should be fixed in 2.1.0-pre1
Comment 7 Parmendra Kumar 2016-01-29 12:04:31 UTC
I have checked this issue with Xamarin.Forms.2.1.0.6503-pre2 and its working fine.

Screencast: http://www.screencast.com/t/Z4GyKN33

Hence this issue has been resolved.

Note You need to log in before you can comment on or make changes to this bug.